Package org.eclipse.rdf4j.query.algebra.evaluation

## Class QueryEvaluationStep.DelayedEvaluationIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.DelayedIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.QueryEvaluationStep.DelayedEvaluationIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`
  Enclosing interface:
    QueryEvaluationStep

      public static class QueryEvaluationStep.DelayedEvaluationIteration
      extends DelayedIteration<BindingSet,​QueryEvaluationException>

  Utility class that removes code duplication and makes a precompiled QueryEvaluationStep available as an iteration that may be created and used later.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelayedEvaluationIteration​(QueryEvaluationStep arg, BindingSet bs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Iteration<? extends BindingSet,​? extends QueryEvaluationException>` | `createIteration()` | Creates the iteration that should be iterated over.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.DelayedIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### DelayedEvaluationIteration

          public DelayedEvaluationIteration​(QueryEvaluationStep arg,
                                            BindingSet bs)

  - ### Method Detail

    - #### createIteration

          protected Iteration<? extends BindingSet,​? extends QueryEvaluationException> createIteration()
                                                                                                      throws QueryEvaluationException

      Description copied from class: `DelayedIteration`
      Creates the iteration that should be iterated over. This method is called only once, when the iteration is first needed.
      Specified by:
        `createIteration` in class `DelayedIteration<BindingSet,​QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`